Update Tasks Definition
Updates an existing task definition for an order. This endpoint is used to modify the structure and requirements of tasks that can be created for orders.
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/orders/tasks-definitions/string" \ -H "Content-Type: application/json" \ -d '{}'{ "task_definition_id": "c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f", "label": "order_tasks_definition 1 updated", "tasks": [ { "label": "order_summary", "description": "Generate order summary for order 001", "priority": "high" }, { "label": "order_billing_summary", "description": "Generate billing summary for order 001", "priority": "medium" } ], "created_at": "2023-10-01T12:00:00Z", "updated_at": "2023-10-01T12:00:00Z"}{ "code": "ops_group_not_defined", "title": "Ops Group is not defined", "detail": { "description": "Ops Group <ops_group_handle> does not exist" }}{ "detail": {}, "message": "string"}{ "detail": {}, "message": "string"}{ "detail": { "<location>": { "<field_name>": [ "string" ] } }, "message": "string"}Get Tasks Definition GET
Retrieves the details of a specific task definition for an order. This endpoint is used to view the structure and requirements of tasks that can be created for orders.
Delete Tasks Definition DELETE
Deletes a specific task definition for an order. This endpoint is used to remove task definitions that are no longer needed.